import 'package:car_customer_app/views/dashboard/widgets/ad_widget.dart';
import 'package:car_customer_app/views/dashboard/widgets/appointment_slider_widget.dart';
import 'package:car_customer_app/views/dashboard/widgets/my_branches_widget.dart';
import 'package:car_customer_app/views/dashboard/widgets/view_all_widget.dart';
import 'package:flutter/material.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/widgets/extensions/extensions_widget.dart';

class HomeFragment extends StatelessWidget {
  const HomeFragment({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      height: double.infinity,
      child: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.only(top: 8),
          child: Column(
            mainAxisSize: MainAxisSize.max,
            children: [
              ViewAllWidget(title: "Upcoming Appointment".toUpperCase(), subTitle: "View All").horPaddingMain(),
              const AppointmentSliderWidget(),
              7.height,
              ViewAllWidget(title: "My Recent Service Providers".toUpperCase(), subTitle: "View All").horPaddingMain(),
              const ServiceProviderWidget().horPaddingMain(),
              15.height,
              ViewAllWidget(title: "My Active Ads".toUpperCase(), subTitle: "View All").horPaddingMain(),
              // todo: we will replace this count with the sublist of ads
              const AdWidget(count: 1).horPaddingMain(),
              20.height,
              ViewAllWidget(title: "My Recommended Ads".toUpperCase(), subTitle: "View All").horPaddingMain(),
              const AdWidget(count: 2).horPaddingMain(),
            ],
          ),
        ),
      ),
    );
  }
}
